Subject: [mediactrl] Comments on requirements for media server control protocol

From: "Morgan, Dave" <[email-masked]>
Date: Thu, 11 Aug 2005 20:13:34 +0100 (BST)

I have some comments/questions regarding draft-even-media-server-req-00.  

The first comment I have is that the Application Server only has three components: conference policy server, focus, and conference notification server.  If the Conference control server and Floor control server are added (with respect to the XCON framework description) to the AS then there would be a lot more synergy between the SIPPING and XCON conferencing framework documents.  If the media server is going to address multi-party conferencing, than either the AS is going to have all the XCON components, or it should only have the focus (they are all in or all out).  So I would put this question to the group, is the Conference Policy server and conference notification server part of the AS?  If it is, then I believe the floor control and conference control server should be as well. 

The MS should be able to communicate to the AS that a participant assigned to a port has attached (along the lines of general protocol requirement 10).

I would like to see as a requirement the need to report the number of participants that attached and the length of the time “in conference” for each participant.  Anything else along the lines of information that is needed for billing purposes should be captured (along the lines of general protocol requirement 12).  In much the same way that the MS supports resource reservation under the direction of the AS, the MS should report back to the AS that reserved resources that have actually been used (hung up 20 minutes into a conference or need to extend a conference by 10 minutes).  In general, I think we are going to need to formalize resource management a bit more with a set of requirements.

Do you think that a requirement could be added to state that the AS “may” be able to support third part call control?  There is a lot of value in having other applications and non-SIP conferencing protocols be able to take advantage of the AS.  I realize however that this might be out of scope as you are probably just focusing on the AS-to-MS protocol.

General protocol requirement 21 talks about an “event package” which has not been described.  Perhaps you can elaborate more here.

As a formatting issue, it might be a bit easier to refer to the Requirements Section 4.0 if it was further divided into subsections:

4.1 General Protocol

4.2 Announcements

4.3 Media Mixing,   etc.

Then at least the requirement numbers are unique and it makes it a bit easier to group the requirements and refer to them..

Dave

------------------------------------------------------------------------

David P. Morgan, PhD

VP, Architecture & Planning

Fidelity Investments Systems Company - Telecom

Phone:  617 563-2178

Fax:      617 385 2122

Mailing: 82 Devonshire St, MZ V8C

            Boston, MA 02109-3614

Office:   245 Summer Street, 8th Floor